## org.eclipse.datatools.modelbase.sql.query
Interface ResultColumn

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryResultSpecification, SQLObject, SQLQueryObject

    public interface ResultColumn

extends QueryResultSpecification

A representation of the model object 'SQL Result Column'.

The following features are supported:

- `Value Expr`
- `Order By Result Col`

See Also:
  `SQLQueryModelPackage.getResultColumn()`

Method Summary
`org.eclipse.emf.common.util.EList` `getOrderByResultCol()` Returns the value of the 'Order By Result Col' reference list.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryResultSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Result Column`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getResultColumn_ValueExpr()`, `QueryValueExpression.getResultColumn()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

### getOrderByResultCol

    org.eclipse.emf.common.util.EList getOrderByResultCol()

  Returns the value of the 'Order By Result Col' reference list. The list contents are of type `OrderByResultColumn`. It is bidirectional and its opposite is '`Result Col`'.

  If the meaning of the 'Order By Result Col' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order By Result Col' reference list.
  See Also:
    `SQLQueryModelPackage.getResultColumn_OrderByResultCol()`, `OrderByResultColumn.getResultCol()`